

#include "project.h"
#include "header.h"

#define RD_SLAVE_BUF_SIZE (0x2u)
#define RW_SLAVE_BUF_SIZE (0x2u)
#define MASTER_BUF_SIZE RD_SLAVE_BUF_SIZE

#define Wait(x)					                    //	Just for readability
uint8  slavebuff[RD_SLAVE_BUF_SIZE];		//	Buffer for EzI2C slave
                      // Buffer for I2CM Master
void InitializeSystem(void)
{
 
    PWM_1_Start();
    PWM_1_WriteCompare1(1);
	
    I2CS_SetBuffer1(RD_SLAVE_BUF_SIZE,RW_SLAVE_BUF_SIZE, slavebuff);
    
    I2CM_Start();  // start master
    CyDelay(100);
    I2CS_Start();   // start slave
    CyDelay(100);
    CyGlobalIntEnable;  
}

int main()
{
    uint8 compare = 0;
    InitializeSystem();
    WriteCommandPacket(); 
    
	
    if(compare != slavebuff[0])
    {
        PWM_1_WriteCompare1(slavebuff[0]);
        compare = slavebuff[0];
    }


   return 0; 
   
}


/*******************************************************************************
* WriteCommandPacket(): Writes command packet to I2C slave
*******************************************************************************/
uint32 WriteCommandPacket(void)
{
    
    uint32 status = 0;
    uint8 slaveaddress = 0x8;
    uint8  masterbuff[MASTER_BUF_SIZE]; 

    /* Initialize buffer with packet */
    masterbuff[0] = 0;			//	Address within EzI2C buffer
	masterbuff[1] = 200;		//	Data

    
    I2CM_MasterClearStatus();
    I2CM_MasterWriteBuf(slaveaddress, (uint8 *) masterbuff, MASTER_BUF_SIZE, I2CM_MODE_COMPLETE_XFER);
    
     /* Waits until master completes write transfer */
    while(0u == ( I2CM_MasterStatus() & I2CM_MSTAT_WR_CMPLT) )
        Wait();	//	Wait until transfer completed

    status = I2CM_MasterStatus();
    I2CM_MasterClearStatus();											//	Usually needed only when there was an error
    return (status);
}


/*******************************************************************************
* ReadStatusPacket(): Reads status packet from I2C slave
*******************************************************************************/
uint32 ReadStatusPacket(void)
{
    uint8  buffer[BUFFER_SIZE];
    uint32 status = TRANSFER_ERROR;

//********** Will not work. You read more bytes than EzI2C buffer
//********** I2CM_MasterReadBuf returns a status that you should check for error
    (void) I2CM_MasterReadBuf(I2C_SLAVE_ADDR, buffer, PACKET_SIZE, I2CM_MODE_COMPLETE_XFER);
//***************************************************************************************
	
	
    while (0u == (I2CM_MasterStatus() & I2CM_MSTAT_RD_CMPLT))
    {
        /* Waits until master complete read transfer */
    }
    
    OutputPinSW_Write(1);
    
/*
    // Displays transfer status 
    if (0u == (I2CM_MSTAT_ERR_XFER & I2CM_MasterStatus()))
    {
        RGB_LED_ON_GREEN;

        // Check packet structure 
        if ((I2CM_MasterGetReadBufSize() == BUFFER_SIZE) &&
            (PACKET_SOP == buffer[PACKET_SOP_POS]) &&
            (PACKET_EOP == buffer[PACKET_EOP_POS]))
        {
            // Check packet status 
            if (STS_CMD_DONE == buffer[PACKET_STS_POS])
            {
                status = TRANSFER_CMPLT;
            }
        }
    }
    else
    {
        RGB_LED_ON_RED;
        status = TRANSFER_ERROR;
    }
   */
    (void) I2CM_MasterClearStatus();

    return (status);
}


/* [] END OF FILE */
